Upstream information

CVE-2012-4406 at MITRE

Description

OpenStack Object Storage (swift) before 1.7.0 uses the loads function in the pickle Python module unsafely when storing and loading metadata in memcached, which allows remote attackers to execute arbitrary code via a crafted pickle object.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 760944 [RESOLVED / FIXED], 779215 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE OpenStack Cloud 6
  • openstack-swift >= 2.1.0-4.1
  • openstack-swift-account >= 2.1.0-4.1
  • openstack-swift-container >= 2.1.0-4.1
  • openstack-swift-object >= 2.1.0-4.1
  • openstack-swift-proxy >= 2.1.0-4.1
  • python-swift >= 2.1.0-4.1
Patchnames:
SUSE OpenStack Cloud 6 GA openstack-swift
SUSE Cloud 1.0
  • openstack-swift >= 1.4.8+git.1332408124.4a6fead-0.11.1
  • openstack-swift-account >= 1.4.8+git.1332408124.4a6fead-0.11.1
  • openstack-swift-container >= 1.4.8+git.1332408124.4a6fead-0.11.1
  • openstack-swift-doc >= 1.4.8+git.1332408124.4a6fead-0.11.1
  • openstack-swift-object >= 1.4.8+git.1332408124.4a6fead-0.11.1
  • openstack-swift-proxy >= 1.4.8+git.1332408124.4a6fead-0.11.1
  • python-swift >= 1.4.8+git.1332408124.4a6fead-0.11.1
Builds
SAT Patch Nr: 6819